Subject: Re: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Robert Marshall <[email-masked]>
Date: Mon, 24 Mar 2014 21:33:29 +0000

Juanma Barranquero writes:
 > On Mon, Mar 24, 2014 at 7:48 PM, Robert Marshall <[email-masked]> wrote:
 > 
 > > (horizontal-scroll-bars . t) ; !
 > 
 > Yes, a typo, sorry.
 > 
 > > I'm assuming that because the ones in the first group appeared in the
 > > buggy run and not in the other, I need to add these to the version
 > > with (display...  commented out and see if the bug occurs? I added
 > > them incrementally - (environment) and then (environment) and
 > > (height...) and so on until all 4 were active
 > 
 > There were 5, not 4.
 > 

So there were, that's one error each ;-) though height was already
there in the parameters so my eye must have elided it, I've just tried
it with 36 (rather than 30) and that doesn't make the version without
display error.

> > them only active at a time and the bug did not appear
 > 
 > Hmm. I'm running out of ideas.
 > 
 > Please test the attached version. In the parameter list, I've added
 > the five parameters of the previous message. The idea is to test them
 > as a group, so four runs:
 > 
 > - with (display . ":0") and the five parameters above
 > - with (display . ":0") and none of the five
 > - without display, in both cases.
 > 
 > Each run will generate in *Messages* two dumps from the frame
 > parameter list, but I'm only interested in these in the case(s) where
 > the bug appears.
 > 

I've done all 4 runs and none of them produced the bug! I assume this
isn't what you expected, I see some of the parameters to
frameset-restore are different.

R
-- 
Robert Marshall